# Set Shippo parcel details for this online transaction

Endpoint: POST /api/v1/transactions/{transaction_id}/shippo_parcel_details
Version: 0.1.0
Security: APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Request fields (application/json):

  - `distance_unit` (string, required)
    Enum: "in", "cm"

  - `height` (number, required)
    Example: 10

  - `length` (number, required)
    Example: 10

  - `mass_unit` (string, required)
    Enum: "lb", "kg"

  - `shipment_date` (string, required)
    Date the shipment will be tendered to the carrier.
Must be in the format 2014-01-18T00:35:03.463Z
    Example: "2019-12-25T09:00:00Z"

  - `weight` (number, required)
    Example: 10

  - `width` (number, required)
    Example: 10

## Response 200 fields (application/json):

  - `distance_unit` (string, required)

  - `height` (number, required)

  - `length` (number, required)

  - `mass_unit` (string, required)

  - `shipment_date` (string, required)

  - `weight` (number, required)

  - `width` (number, required)

## Response 400 fields (application/json):

  - `code` (string, required)
    Example: "negative_price"

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the code field should be used to determine
the type of error that occurred, as the text in the error
field may change unexpectedly.
    Example: "`price` cannot be negative"


